libnvme(2)

NAME
enum nvme_bprsel - This field indicates the boot partition read select

SYNOPSIS
enum nvme_bprsel {
NVME_BPRSEL_BPRSZ_SHIFT ,
NVME_BPRSEL_BPROF_SHIFT ,
NVME_BPRSEL_BPID_SHIFT ,
NVME_BPRSEL_BPRSZ_MASK ,
NVME_BPRSEL_BPROF_MASK ,
NVME_BPRSEL_BPID_MASK

};

Constants

NVME_BPRSEL_BPRSZ_SHIFT
    Shift amount to get the boot partition read size

NVME_BPRSEL_BPROF_SHIFT
    Shift amount to get the boot partition read offset

NVME_BPRSEL_BPID_SHIFT
    Shift amount to get the boot partition identifier

NVME_BPRSEL_BPRSZ_MASK
    Mask to get the boot partition read size

NVME_BPRSEL_BPROF_MASK
    Mask to get the boot partition read offset

NVME_BPRSEL_BPID_MASK
    Mask to get the boot partition identifier